#ifndef SPHERE_H_
#define SPHERE_H_

#include "object.h"
#include "vector.h"

class Sphere: public Object {
private:
	Vector3 center;
	double radius;
public:
	Sphere();
	Sphere(const Vector3 &center, double radius);
	bool intersection(const Ray &ray, IntInfo* i_info) const;
	void calc_bbox();
};

#endif
